Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPMessageImpl

    java.lang.Object
      javax.xml.soap.SOAPMessage
          org.apache.axis.message.SOAPMessageImpl

Direct Known Subclasses:
  SOAPMessageAxisImpl

public class SOAPMessageImpl
extends javax.xml.soap.SOAPMessage

An implemenation of the abstract SOAPMessage.

This class should not expose functionality that is not part of `SOAPMessage`. Client code should use `SOAPMessage` whenever possible.

Since:
  31-May-2004
Author:
  Thomas Diesler (thomas.diesler@jboss.org)

Field Summary
`protected MimeHeadersImpl` | `headers`
`protected Attachments` | `mAttachments`
`protected javax.xml.soap.SOAPPart` | `mSOAPPart`

Fields inherited from class javax.xml.soap.SOAPMessage
`CHARACTER_SET_ENCODING, WRITE_XML_DECLARATION`

Constructor Summary
`protected` | `SOAPMessageImpl()`

Method Summary
`void` | `addAttachmentPart(javax.xml.soap.AttachmentPart attachmentpart)` Adds the given `AttachmentPart` object to this `SOAPMessage` object.
`int` | `countAttachments()` Gets a count of the number of attachments in this message.
`javax.xml.soap.AttachmentPart` | `createAttachmentPart()` Creates a new empty `AttachmentPart` object.
`Iterator` | `getAttachments()` Retrieves all the `AttachmentPart` objects that are part of this `SOAPMessage` object.
`Iterator` | `getAttachments(javax.xml.soap.MimeHeaders headers)` Retrieves all the `AttachmentPart` objects that have header entries that match the specified headers.
`String` | `getContentDescription()` Retrieves a description of this `SOAPMessage` object's content.
`javax.xml.soap.MimeHeaders` | `getMimeHeaders()` Returns all the transport-specific MIME headers for this `SOAPMessage` object in a transport-independent fashion.
`Object` | `getProperty(String property)`
`javax.xml.soap.SOAPBody` | `getSOAPBody()`
`javax.xml.soap.SOAPHeader` | `getSOAPHeader()`
`javax.xml.soap.SOAPPart` | `getSOAPPart()`
`void` | `removeAllAttachments()` Removes all `AttachmentPart` objects that have been added to this `SOAPMessage` object.
`void` | `saveChanges()` Updates this `SOAPMessage` object with all the changes that have been made to it.
`boolean` | `saveRequired()` Indicates whether this `SOAPMessage` object has had the method `saveChanges` called on it.
`void` | `setContentDescription(String description)` Sets the description of this `SOAPMessage` object's content with the given description.
`void` | `setProperty(String property, Object value)`
`void` | `writeTo(OutputStream os)` Writes this `SOAPMessage` object to the given output stream.

Methods inherited from class javax.xml.soap.SOAPMessage
`createAttachmentPart, createAttachmentPart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mSOAPPart

    protected javax.xml.soap.SOAPPart mSOAPPart

### mAttachments

    protected Attachments mAttachments

### headers

    protected MimeHeadersImpl headers

Constructor Detail

### SOAPMessageImpl

    protected SOAPMessageImpl()

Method Detail

### writeTo

    public void writeTo(OutputStream os)
                 throws javax.xml.soap.SOAPException,
                        IOException

  Writes this `SOAPMessage` object to the given output stream. The externalization format is as defined by the SOAP 1.1 with Attachments specification.

  If there are no attachments, just an XML stream is written out. For those messages that have attachments, `writeTo` writes a MIME-encoded byte stream.

  Parameters:
    `os` - the `OutputStream` object to which this `SOAPMessage` object will be written
  Throws:
    `javax.xml.soap.SOAPException` - if there was a problem in externalizing this SOAP message
    `IOException` - if an I/O error occurs

### getSOAPBody

    public javax.xml.soap.SOAPBody getSOAPBody()
                                        throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### getSOAPHeader

    public javax.xml.soap.SOAPHeader getSOAPHeader()
                                            throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### setProperty

    public void setProperty(String property,
                            Object value)
                     throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### getProperty

    public Object getProperty(String property)
                       throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### getContentDescription

    public String getContentDescription()

  Retrieves a description of this `SOAPMessage` object's content.

  Returns:
    a `String` describing the content of this message or `null` if no description has been set
  See Also:
    `setContentDescription(java.lang.String)`

### setContentDescription

    public void setContentDescription(String description)

  Sets the description of this `SOAPMessage` object's content with the given description.

  Parameters:
    `description` - a `String` describing the content of this message
  See Also:
    `getContentDescription()`

### saveChanges

    public void saveChanges()
                     throws javax.xml.soap.SOAPException

  Updates this `SOAPMessage` object with all the changes that have been made to it. This method is called automatically when a message is sent or written to by the methods `ProviderConnection.send`, `SOAPConnection.call`, or `SOAPMessage.writeTo`. However, if changes are made to a message that was received or to one that has already been sent, the method `saveChanges` needs to be called explicitly in order to save the changes. The method `saveChanges` also generates any changes that can be read back (for example, a MessageId in profiles that support a message id). All MIME headers in a message that is created for sending purposes are guaranteed to have valid values only after `saveChanges` has been called.

  In addition, this method marks the point at which the data from all constituent `AttachmentPart` objects are pulled into the message.

  Throws:
    `javax.xml.soap.SOAPException` - if there was a problem saving changes to this message.

### saveRequired

    public boolean saveRequired()

  Indicates whether this `SOAPMessage` object has had the method `saveChanges` called on it.

  Returns:
    `true` if `saveChanges` has been called on this message at least once; `false` otherwise.

### getMimeHeaders

    public javax.xml.soap.MimeHeaders getMimeHeaders()

  Returns all the transport-specific MIME headers for this `SOAPMessage` object in a transport-independent fashion.

  Returns:
    a `MimeHeaders` object containing the `MimeHeader` objects

### getSOAPPart

    public javax.xml.soap.SOAPPart getSOAPPart()

### removeAllAttachments

    public void removeAllAttachments()

  Removes all `AttachmentPart` objects that have been added to this `SOAPMessage` object.

  This method does not touch the SOAP part.

### countAttachments

    public int countAttachments()

  Gets a count of the number of attachments in this message. This count does not include the SOAP part.

  Returns:
    the number of `AttachmentPart` objects that are part of this `SOAPMessage` object

### getAttachments

    public Iterator getAttachments()

  Retrieves all the `AttachmentPart` objects that are part of this `SOAPMessage` object.

  Returns:
    an iterator over all the attachments in this message

### getAttachments

    public Iterator getAttachments(javax.xml.soap.MimeHeaders headers)

  Retrieves all the `AttachmentPart` objects that have header entries that match the specified headers. Note that a returned attachment could have headers in addition to those specified.

  Parameters:
    `headers` - a `MimeHeaders` object containing the MIME headers for which to search
  Returns:
    an iterator over all attachments that have a header that matches one of the given headers

### addAttachmentPart

    public void addAttachmentPart(javax.xml.soap.AttachmentPart attachmentpart)

  Adds the given `AttachmentPart` object to this `SOAPMessage` object. An `AttachmentPart` object must be created before it can be added to a message.

  Parameters:
    `attachmentpart` - an `AttachmentPart` object that is to become part of this `SOAPMessage` object
  Throws:
    `IllegalArgumentException`

### createAttachmentPart

    public javax.xml.soap.AttachmentPart createAttachmentPart()

  Creates a new empty `AttachmentPart` object. Note that the method `addAttachmentPart` must be called with this new `AttachmentPart` object as the parameter in order for it to become an attachment to this `SOAPMessage` object.

  Returns:
    a new `AttachmentPart` object that can be populated and added to this `SOAPMessage` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.